Subject: Re: bug#23246: 25.0.92; Local face-remapping-alist doesn't affect tooltips

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Apr 2016 12:35:00 +0300

> From: Artur Malabarba <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 08 Apr 2016 17:06:01 -0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why did you expect them to be blue?  Tooltips are special frames that
> > don't display any buffer, whereas face-remap-add-relative is
> > documented as affecting only the buffer that was current at the time
> > it was called.
> 
> Sorry, to me it wasn't obvious that tooltips are different frames.

I've added to the ELisp manual some documentation about that, which
makes it clear these are frames.

> I want to change the way tooltips are displayed in a major-mode I'm
> writing. I don't want to change this face globally for the user, only
> change it in the buffers where this major-mode is active.
> 
> I understand that might not be possible, in which case feel free to
> close.

I think you can achieve that by putting your own hook function on the
tooltip-functions list.

Let me know if there's anything else to do about this bug report.